#
# Makefile for the GNU LessTif config directory
# $Id: Makefile.in,v 1.8 1997/03/26 03:25:12 miers Exp $
#
# Copyright (C) 1997 Free Software Foundation, Inc.
#
# This file is part of the GNU LessTif Library.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Library General Public
# License as published by the Free Software Foundation; either
# version 2 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Library General Public License for more details.
#
# You should have received a copy of the GNU Library General Public
# License along with this library; if not, write to the Free
# Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#

srcdir=@srcdir@
prefix=@prefix@
exec_prefix=@exec_prefix@
bin_dir=@bindir@
INSTALL=@INSTALL@
INSTALL_PROGRAM=@INSTALL_PROGRAM@

x_config_path=@libdir@/config

STUFF=	Motif.tmpl Motif.rules Imake.tmpl

all::

./Motif.tmpl:	$(srcdir)/Motif.tmpl.in

./Motif.rules:	$(srcdir)/Motif.rules.in

./mxmkmf:	$(srcdir)/mxmkmf.in
	chmod a+xr ./mkmkmf

depend:
	-echo "Nothing to do for depend."

install: $(STUFF)
	mkdir -p ${x_config_path}
	for i in ${STUFF} ; do \
	  ${INSTALL_PROGRAM} $$i ${x_config_path} ; \
	done
	mkdir -p ${bin_dir}
	${INSTALL_PROGRAM} mxmkmf ${bin_dir}

clean:
	rm -f Imake.tmpl Motif.rules Motif.tmpl mxmkmf

distclean: clean
